=== schemas/CMakeLists.txt ===
install(DIRECTORY arf common cpe ocil oval sce sds xccdf
	DESTINATION ${OSCAP_DEFAULT_SCHEMA_PATH})
