=== tests/probe_behavior/CMakeLists.txt ===
add_oscap_test("collect_limit.sh")
