=== tests/probes/CMakeLists.txt ===
add_subdirectory("environmentvariable")
add_subdirectory("environmentvariable58")
add_subdirectory("family")
add_subdirectory("file")
add_subdirectory("fileextendedattribute")
add_subdirectory("filehash")
add_subdirectory("filehash58")
add_subdirectory("filemd5")
add_subdirectory("fwupdsecattr")
add_subdirectory("iflisteners")
add_subdirectory("interface")
add_subdirectory("isainfo")
add_subdirectory("maskattr")
add_subdirectory("partition")
add_subdirectory("password")
add_subdirectory("process58")
add_subdirectory("rpm")
add_subdirectory("runlevel")
add_subdirectory("selinuxboolean")
add_subdirectory("selinuxsecuritycontext")
add_subdirectory("shadow")
add_subdirectory("sql57")
add_subdirectory("symlink")
add_subdirectory("sysctl")
add_subdirectory("system_info")
add_subdirectory("systemdunitdependency")
add_subdirectory("systemdunitproperty")
add_subdirectory("textfilecontent54")
add_subdirectory("uname")
add_subdirectory("xinetd")
add_subdirectory("yamlfilecontent")
add_subdirectory("xmlfilecontent")
