=== tests/report/CMakeLists.txt ===
add_oscap_test("report.sh")
