=== debian/changelog ===
openscap (1.4.2+dfsg-2) unstable; urgency=medium

  * Add patch from upstream for libxml2 and xmlsec1 fix.
    Closes: 1111038

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 17 Aug 2025 07:56:48 +0200
