=== debian/watch ===
version=4
opts="\
    searchmode=plain, \
    repacksuffix=+dfsg, \
    dversionmangle=auto" \
https://api.github.com/repos/OpenSCAP/openscap/releases \
https://github.com/OpenSCAP/openscap/releases/download/\d[\.\d]*/openscap-@ANY_VERSION@.tar\.gz
