## openscap 1.4.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 project("openscap")
 set(OPENSCAP_VERSION_MAJOR "1")
 set(OPENSCAP_VERSION_MINOR "4")
-set(OPENSCAP_VERSION_PATCH "2")
+set(OPENSCAP_VERSION_PATCH "3")
 
 if(OPENSCAP_VERSION_SUFFIX)
 	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}_${OPENSCAP_VERSION_SUFFIX}")
@@ -23,7 +23,7 @@
 # See http://sources.redhat.com/autobook/autobook/autobook_91.html#SEC91 for details
 
 ## increment if the interface has additions, changes, removals.
-set(LT_CURRENT 33)
+set(LT_CURRENT 34)
 
 ## increment any time the source changes; set 0 to if you increment CURRENT
 set(LT_REVISION 2)
@@ -31,7 +31,7 @@
 ## increment if any interfaces have been added; set to 0
 ## if any interfaces have been changed or removed. removal has
 ## precedence over adding, so set to 0 if both happened.
-set(LT_AGE 0)
+set(LT_AGE 1)
 
 math(EXPR LT_CURRENT_MINUS_AGE "${LT_CURRENT} - ${LT_AGE}")
