=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -41,3 +41,4 @@
 add_subdirectory("sources")
 add_subdirectory("utils")
 add_subdirectory("common")
+add_subdirectory("show_details")
