=== tests/show_details/CMakeLists.txt ===
add_oscap_test("show_details.sh")
