=== debian/changelog ===
openscap (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update d/watch to version 5.
  * Update symbols file
  * Update salsa CI pipeline.
  * Run wrap-and-sort with arguments 'asbkt'

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 01 Dec 2025 22:19:52 +0100
