=== debian/watch ===
Version: 5

Source: https://github.com/OpenSCAP/openscap
Matching-Pattern: refs/tags/@ANY_VERSION@
Git-Mode: shallow
Git-Modules: all
Mode: git
Repacksuffix: +dfsg
